GET
/GetWorkflowStepExecution#stepExecutionId
http://imagebuilder.{region}.amazonaws.com/GetWorkflowStepExecution#stepExecutionIdGet the runtime information that was logged for a specific runtime instance of the workflow step.
Access Token Required: API Key
Query Params
stepExecutionIdstringrequired
Use the unique identifier for a specific runtime instance of the workflow step to get runtime details for that step.
Responses
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}Language
CredentialsAPI KEY
API Key
Enter token below to save for later
cURL Request
1curl --request GET \2 --url 'http://imagebuilder.{region}.amazonaws.com/GetWorkflowStepExecution#stepExecutionId' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'Response
1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}